summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby/best_in_place')
-rw-r--r--dev-ruby/best_in_place/Manifest1
-rw-r--r--dev-ruby/best_in_place/best_in_place-3.1.0.ebuild62
2 files changed, 63 insertions, 0 deletions
diff --git a/dev-ruby/best_in_place/Manifest b/dev-ruby/best_in_place/Manifest
index 27869b11be2..054a80acee2 100644
--- a/dev-ruby/best_in_place/Manifest
+++ b/dev-ruby/best_in_place/Manifest
@@ -1 +1,2 @@
DIST best_in_place-3.0.3.gem 73216 SHA256 495226571d111d1a1a65ac96b853b4560028e2c06d57e67929241a255c8a5b59 SHA512 61a48e36debb611a4055fec071cfc124fd862b695f7d4b991a1c66403a24576abd45f6ab0d065d92b2bce45cdd6397d68f4d10627360696bf1ebee02e89fd1ed WHIRLPOOL 2855200530ea107d1b7d5377e839f12960a50eab8339916ade003297f3e6221fb04a8b7695cf941c84ed60f2ee9bd63d668c0f95e7d551b99bb5e203f60471b0
+DIST best_in_place-3.1.0.gem 73728 SHA256 4bc57e238e2a4f4b01b7c464fec4ea814189b180431deb603cc1db3fe00bc33c SHA512 5296392d2534e8eb7c01eeee36530259a10c4d7cb5765bb2bd76944c9bc93e4202135cf2a656283bbf24041986f80b0bf2ec613c27c3368aeee7fae32c6bc6dd WHIRLPOOL 84f262964e42d767d5f355eb0236fbe2c8e948ff98292e7ddd3fe2315eb3707a900f2691dce6c0301da2b170828ce75767b2aac633c057b145a4d69e4438b317
diff --git a/dev-ruby/best_in_place/best_in_place-3.1.0.ebuild b/dev-ruby/best_in_place/best_in_place-3.1.0.ebuild
new file mode 100644
index 00000000000..d2386e92b25
--- /dev/null
+++ b/dev-ruby/best_in_place/best_in_place-3.1.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+# if ever needed
+#GITHUB_USER="bernat"
+#GITHUB_PROJECT="${PN}"
+#RUBY_S="${GITHUB_USER}-${GITHUB_PROJECT}-*"
+
+inherit virtualx ruby-fakegem
+
+DESCRIPTION="In-place editor helper for Rails 3"
+HOMEPAGE="https://github.com/bernat/best_in_place"
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "
+ >=dev-ruby/actionpack-3.2:*
+ >=dev-ruby/railties-3.2:*
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/rdiscount
+ dev-ruby/rspec-rails:3
+ >=dev-ruby/nokogiri-1.5.0
+ >=dev-ruby/capybara-1.1.2:0
+ dev-ruby/poltergeist
+ >=dev-ruby/rails-3.2
+ >=dev-ruby/sqlite3-1.3.4-r1
+ dev-ruby/launchy
+ dev-ruby/bundler
+ )"
+
+all_ruby_prepare() {
+ sed -i \
+ -e '/git ls-files/d' \
+ ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Tweak Gemfile so we can use it to run specs but can avoid missing
+ # dependencies. Also use packaged versions of jquery and jquery-ui.
+ sed -i -e '/\(rails-assets\|appraisal\)/ s:^:#:' \
+ -e '2agem "rspec", "~>3.0"' \
+ -e '2agem "jquery-rails"' -e '2agem "jquery-ui-rails"' \
+ -e '/byebug/ s:^:#:' \
+ Gemfile
+}
+
+each_ruby_test() {
+ ${RUBY} -S bundle exec rspec-3 spec || die
+}